//Définition des structures : --------------------------//
                                                        //
//Piles : ------------------//                          //
typedef struct pile         //                          //
{                           //                          //
    int tlogi;              //                          //
    int tmax;               //                          //
    int* tab;               //                          //
} pile;                     //                          //
typedef struct pile* Pile;  //                          //
//--------------------------//                          //
                                                        //
                                                        //
                                                        //
//Files : ------------------//                          //
typedef struct file         //                          //
{                           //                          //
    Pile pEntry;            //                          //
    Pile pExit;             //                          //
    int* tab;               //                          //
} file;                     //                          //
typedef struct file* File;  //                          //
//--------------------------//                          //
//------------------------------------------------------//



//Initialisation de fonctions : --------------------------------//
                                                                //
void menu(void);                                                //
                                                                //
int loadIUT(VilleIUT** tiut);                                   //
                                                                //
void saveIUT(VilleIUT** tiut, int tlogi);                           //
                                                                //
int rechercheIUT(VilleIUT* tab[],int lTab,char mot[]); 		//
                                                                //
                                                                //
                                                                //
//Fonctions relatives aux listes chaînées : --//                //
int existeDep(MaillonDep* liste, char* dep);  //                //
                                              //                //
int longueurListe(MaillonDep* liste);         //                //
//--------------------------------------------//                //
                                                                //
                                                                //
                                                                //
//Fonctions relatives aux piles : --//                          //
Pile creerpile(int tmax);           //                          //
                                    //                          //
void empiler(Pile p, int x);        //                          //
                                    //                          //
void afficherPileEntier(Pile p);    //                          //
                                    //                          //
int depiler(Pile p);                //                          //
//----------------------------------//                          //
                                                                //
                                                                //
                                                                //
//Fonctions relatives aux files : --//                          //
File creerfile(int tmax);           //                          //
                                    //                          //
void enfiler(File f, int x);        //                          //
                                    //                          //
void afficherFileEntier(File f);    //                          //
                                    //                          //
int defiler(File f);                //                          //
                                    //                          //
void vider_file(File f);            //                          //
//----------------------------------//                          //
                                                                //
                                                                //
                                                                //
void reset(void);                                               //
//--------------------------------------------------------------//
